BUTT(1)

NAME
butt - Easy to use, multi OS streaming tool

SYNOPSIS

butt [-h | -v | -s [name] | -u <song name> | -M <streaming signal threshold> | -m <streaming silence threshold> | -O <recording signal threshold> | -o <recording silence threshold> | -Sdrtqn | -c <config_path>] [-A | -U | -x] [-a <addr>] [-p <port>]

DESCRIPTION

butt (broadcast using this tool) is an easy to use, multi OS streaming tool. It supports ShoutCast and IceCast and runs on Linux, MacOS and Windows. The main purpose of butt is to stream live audio data from your computers Mic or Line input to an Shoutcast or Icecast server. Recording is also possible. It is NOT intended to be a server by itself or automatically stream a set of audio files.

OPTIONS

Options:

-h
    Print help

-v
    Print version information

Options for operating mode:

-c <path>
    Path to configuration file

-A
    Command server will be accessible from your network/internet (default: localhost only)

-U
    Command server will use UDP instead of TCP

-x
    Do not start a command server for receiving commands

-p <port>
    Port where the command server shall listen to (default: 1256)

Options for control mode:

-s [name]
    Connect to streaming server

-d
    Disconnect from streaming server

-r
    Start recording

-t
    Stop recording

-n
    Split recording

-q
    Quit butt

-u <song name>
    update song name

-S
    Request status

-M <seconds>
    Set streaming signal threshold

-m <seconds>
    Set streaming silence threshold

-O <seconds>
    Set recording signal threshold

-o <seconds>
    Set recording silence threshold

-U
    Connect via UDP instead of TCP

-a <address>
    Address of the butt instance to be controlled (default: 127.0.0.1)

-p <port>
    Port of the butt instance to be controlled (default: 1256)

RESSOURCES

Project web site:

SEE ALSO

A more detailed description can be found in the manual at

FILES

~/.buttrc
    butt configuration file.

BUGS

Please contact me at if you find any bugs.

AUTHORS

butt was written by Daniel Nöthen and other contributors.